Subject: Re: [PATCH net-2.6 0/3]: Three TCP fixes

From: John Heffner <[email-masked]>
Date: Tue, 04 Dec 2007 13:42:41 -0500

Ilpo Järvinen wrote:
> ...I'm still to figure out why tcp_cwnd_down uses snd_ssthresh/2
> as lower bound even though the ssthresh was already halved, 
> so snd_ssthresh should suffice.

I remember this coming up at least once before, so it's probably worth a 
comment in the code.  Rate-halving attempts to actually reduce cwnd to 
half the delivered window.  Here, cwnd/4 (ssthresh/2) is a lower bound 
on how far rate-halving can reduce cwnd.  See the "Bounding Parameters" 
section of <http://www.psc.edu/networking/papers/FACKnotes/current/>.

   -John